Create Service Request: Yardi
https://api.propexo.com/v1/service-requests/yardi/| Interface | Method |
|---|---|
| Service Requests | CreateOrEditServiceRequests |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier for the resident
The Propexo unique identifier for the vendor
Whether or not the tenant has granted permission to enter the unit associated with the service request
A description of the service request
Possible values: <= 35 characters
Details about the service request
The date the service request was created
The category of service request
Show 5 enum values
ElectricalHVACOtherPlumbingServiceThe priority level associated with the service request
Show 5 enum values
HighLowMed24 hoursEmergencyThe raw status associated with the service request
Show 17 enum values
AssessmentCallCanceledCompletedElectricalEmergencyHVACIn ProgressInspectionOn HoldOtherPlumbingRequest ReassignmentScheduledServiceWebWork CompletedResponse
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier for the resident
The Propexo unique identifier for the vendor
Whether or not the tenant has granted permission to enter the unit associated with the service request
A description of the service request
Possible values: <= 35 characters
Details about the service request
The date the service request was created
The category of service request
Show 5 enum values
ElectricalHVACOtherPlumbingServiceThe priority level associated with the service request
Show 5 enum values
HighLowMed24 hoursEmergencyThe raw status associated with the service request
Show 17 enum values
AssessmentCallCanceledCompletedElectricalEmergencyHVACIn ProgressInspectionOn HoldOtherPlumbingRequest ReassignmentScheduledServiceWebWork CompletedErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/service-requests/yardi/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"access_is_authorized": true,
"service_description": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"unit_id": "string",
"resident_id": "string",
"vendor_id": "string",
"access_is_authorized": true,
"service_description": "string",
"service_details": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"service_category": "Electrical",
"service_priority": "High",
"status_raw": "Assessment"
}
}